<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
if(!isset($_GET['id'])) die('Не задана страница для удаления');
if(unlink('../data/content/'.$_GET['id'].'.php'))
{
	echo 'Страница '.$_GET['id'].' удалена.<br>';
	if (!function_exists('file_put_contents')) 
	{
		function file_put_contents ($filename, $content)
		{
			if ($fp = @fopen($filename, 'w'))
			{
				$result = fwrite($fp, $content);
				fclose ($fp);
				return $result;
			}
			else
			{
				return false;
			}
		} 
	}	
	
	$csvcont=''; 
	$menu_file = file("../data/menu.csv");
	foreach($menu_file as $line)
	{
		$elem = explode(";",$line);
		if ( $elem[0] != $_GET['id']) $csvcont = $csvcont.$line;
	}
	if($csvcont!='')
	{
		if(!file_put_contents('../data/menu.csv', $csvcont)) die('Ошибка записи меню');
	}
	else
	{
		$fs=fopen('../data/menu.csv', 'w');
		fclose($fs);
	}
	// если удалось записать - сообщаем
	echo ("Успешно изменено. <a href='index.php'>Вернуться на главную</a>");
	echo("<html>
				<head>
					<meta http-equiv='Refresh' content='0; URL = index.php'>
				</head>");
	
}
else echo 'Ошибка удаления...';

require_once("footer.php");

?>